package com.xxl.job.admin.core.thread;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class JobFailMonitorHelper {
  private static Logger logger = LoggerFactory.getLogger(com.xxl.job.admin.core.thread.JobFailMonitorHelper.class);
  
  private static com.xxl.job.admin.core.thread.JobFailMonitorHelper instance = new com.xxl.job.admin.core.thread.JobFailMonitorHelper();
  
  private Thread monitorThread;
  
  public static com.xxl.job.admin.core.thread.JobFailMonitorHelper getInstance() {
    return instance;
  }
  
  private volatile boolean toStop = false;
  
  public void start() {
    this.monitorThread = new Thread((Runnable)new Object(this));
    this.monitorThread.setDaemon(true);
    this.monitorThread.setName("xxl-job, admin JobFailMonitorHelper");
    this.monitorThread.start();
  }
  
  public void toStop() {
    this.toStop = true;
    this.monitorThread.interrupt();
    try {
      this.monitorThread.join();
    } catch (Throwable e) {
      logger.error(e.getMessage(), e);
    } 
  }
}
